summaryrefslogtreecommitdiffstats
path: root/source/l/LibRaw
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/LibRaw')
-rw-r--r--source/l/LibRaw/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch22
-rwxr-xr-xsource/l/LibRaw/LibRaw.SlackBuild7
2 files changed, 27 insertions, 2 deletions
diff --git a/source/l/LibRaw/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch b/source/l/LibRaw/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch
new file mode 100644
index 000000000..427b3c852
--- /dev/null
+++ b/source/l/LibRaw/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch
@@ -0,0 +1,22 @@
+From 9ab70f6dca19229cb5caad7cc31af4e7501bac93 Mon Sep 17 00:00:00 2001
+From: Alex Tutubalin <lexa@lexa.ru>
+Date: Sat, 14 Jan 2023 18:32:59 +0300
+Subject: [PATCH] do not set shrink flag for 3/4 component images
+
+---
+ src/preprocessing/raw2image.cpp | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/src/preprocessing/raw2image.cpp b/src/preprocessing/raw2image.cpp
+index e65e2ad7..702cf290 100644
+--- a/src/preprocessing/raw2image.cpp
++++ b/src/preprocessing/raw2image.cpp
+@@ -43,6 +43,8 @@ void LibRaw::raw2image_start()
+
+ // adjust for half mode!
+ IO.shrink =
++ !imgdata.rawdata.color4_image && !imgdata.rawdata.color3_image &&
++ !imgdata.rawdata.float4_image && !imgdata.rawdata.float3_image &&
+ P1.filters &&
+ (O.half_size || ((O.threshold || O.aber[0] != 1 || O.aber[2] != 1)));
+
diff --git a/source/l/LibRaw/LibRaw.SlackBuild b/source/l/LibRaw/LibRaw.SlackBuild
index 302f7c13a..277765b9a 100755
--- a/source/l/LibRaw/LibRaw.SlackBuild
+++ b/source/l/LibRaw/LibRaw.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2013, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013, 2015, 2016, 2018, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2013 Eric Hameleers, Eindhoven, NL
# All rights reserved.
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=LibRaw
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -93,6 +93,9 @@ find . \
# Don't use icecream:
PATH=$(echo $PATH | sed "s|/usr/libexec/icecc/bin||g" | tr -s : | sed "s/^://g" | sed "s/:$//g")
+# CVE-2023-1729:
+cat $CWD/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch | patch -p1 --verbose || exit 1
+
autoreconf -vif
CFLAGS="$SLKCFLAGS" \